Loading...
Searching...
No Matches
Elf32_Phdr Struct Reference
Utility Functions » ELF binary format

ELF32 program header. More...

`#include <elf.h>`

Collaboration diagram for Elf32_Phdr:

## Data Fields

Elf32_Word | p_type
| type of program section
Elf32_Off | p_offset
| file offset of program section
Elf32_Addr | p_vaddr
| memory address of prog section
Elf32_Addr | p_paddr
| physical address (ignored)
Elf32_Word | p_filesz
| file size of program section
Elf32_Word | p_memsz
| memory size of program section
Elf32_Word | p_flags
| flags
Elf32_Word | p_align
| alignment of section

## Detailed Description

ELF32 program header.

Definition at line 425 of file elf.h.

## Field Documentation

## p_flags

Elf32_Word Elf32_Phdr::p_flags

flags

See also
  Elf_PFs

Definition at line 433 of file elf.h.

## p_type

Elf32_Word Elf32_Phdr::p_type

type of program section

See also
  Elf_PTs

Definition at line 427 of file elf.h.

The documentation for this struct was generated from the following file:

- l4/util/elf.h